# -*- coding: utf-8; -*-
# Copyright (C) 2008 Marcelo Jorge Vieira (metal) <metal@alucinados.com>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2 of the
# License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with this program; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.

from django.contrib import admin
from eventos.models import *

class EventoAdmin(admin.ModelAdmin):
    fieldsets = (
        (u'Informações do evento',
         {'fields': ('nome', 'data_inicio', 'data_final', 'site')}),

        (u'Informações da sede',
         {'fields': ('local', 'nome_contato', 'endereco', 'cidade',
                     'estado', 'telefone', 'info_adicional')}),
    )

    search_fields = list_display = 'nome', 'local'

class PalestranteAdmin(admin.ModelAdmin):
    fieldsets = (
        (None, {'fields': ('nome', 'email', 'instituicao',
                           'minicurriculo', 'curriculo')}),

        (u'Telefones', {'fields': ('telefone', 'celular')}),

        (u'Endereço', {'fields': ('endereco', 'cep', 'cidade', 'estado')}),

        (u'Avançado', {'fields': ('usuario',),
                       'classes': 'collapse'}),
    )

    search_fields = list_display = 'nome', 'instituicao', 'email', 'celular'

class TipoTrabalhoAdmin(admin.ModelAdmin):
    search_fields = 'nome',
    list_filter = 'evento',

class TrilhaAdmin(admin.ModelAdmin):
    search_fields = 'nome',
    list_filter = 'evento',

class TrabalhoAdmin(admin.ModelAdmin):
    list_filter = 'evento', 'tipo', 'trilha',
    search_fields = list_display = 'titulo', 'evento', 'tipo'
    
class DuracaoTrabalhoAdmin(admin.ModelAdmin):
    search_fields = 'duracao', 'tipo',
    list_filter = 'tipo',

admin.site.register(Evento, EventoAdmin)    
admin.site.register(Palestrante, PalestranteAdmin)
admin.site.register(TipoTrabalho, TipoTrabalhoAdmin)
admin.site.register(Trilha, TrilhaAdmin)
admin.site.register(Trabalho, TrabalhoAdmin)
admin.site.register(DuracaoTrabalho, DuracaoTrabalhoAdmin)
